﻿using DesktopTools.Controls;
using DesktopTools.Models;
using ModuleTools.BusinessLogics;
using ModuleTools.Enums;
using SecurityBusinessLogic.BindingModels;
using SecurityBusinessLogic.BusinessLogics;
using SecurityBusinessLogic.ViewModels;
using System;

namespace SecurityWindowsDesktop.Controls
{
	public partial class EnviromentSettingControl : AbstractGenericControlEntityList<EnviromentSettingGetBindingModel, EnviromentSettingSetBindingModel, EnviromentSettingListViewModel, EnviromentSettingViewModel, EnviromentSettingBusinessLogic>
	{
		public EnviromentSettingControl()
		{
			InitializeComponent();
			Title = "Настройки Среды";
			ControlId = new Guid("b3865c23-b1db-475b-b95c-aa51edc60388");
			Order = 1;
			AccessOperation = AccessOperation.НастройкиСреды;
		}

		public override AbstractControlViewEntityList Clone() => new EnviromentSettingControl() { ControlId = Guid.NewGuid() };

		protected override ControlViewEntityListConfiguration GetConfig() => new()
		{
			PaginationOn = false
		};

		protected override EnviromentSettingListViewModel GetData()
		{
			var list = _businessLogic.GetList(new EnviromentSettingGetBindingModel());
			return list;
		}

		protected override EnviromentSettingListViewModel GetDataWithPageName(string key)
		{
			throw new NotImplementedException();
		}

		protected override EnviromentSettingListViewModel GetDataWithPageNumber(int page, int count)
		{
			throw new NotImplementedException();
		}
	}
}